Create a new client.

Client is a record of a single customer of your business. Create one for each of your clients; you will be able to issue invoices/subscriptions for them later easily using /billing_templates/ API.

Each BillingTemplateClient (there can be many attached to a single BillingTemplate) will bind a single Client to a BillingTemplate.

Either an email or (bank_account and bank_code) are requied and considered a GUID.

Body Params
string
required
length ≤ 254

Email address

string
length ≤ 10

Phone number in the South African 0xx xxx xxxx format

string
length ≤ 128

Name and surname of client

string
length ≤ 32

Personal identification code of client

string
length ≤ 128

Street house number and flat address where applicable

string
length ≤ 2

Country code in the ISO 3166-1 alpha-2 format (e.g. 'GB')

string
length ≤ 128

City name

string
length ≤ 32

ZIP or postal code

string
length ≤ 128

Street house number and flat address where applicable

string
length ≤ 2

Country code in the ISO 3166-1 alpha-2 format (e.g. 'GB')

string
length ≤ 128

City name

string
length ≤ 32

ZIP or postal code

cc
array of objects

Email addresses to receive a carbon copy of all notification emails

cc
bcc
array of objects

Email addresses to receive a blind carbon copy of all notification emails

bcc
string
length ≤ 128
string
length ≤ 128

Company brand name

string
length ≤ 32

Registration number of company

string
length ≤ 32

Tax payer registration number

string
length ≤ 34

Bank account number (e.g. IBAN)

string
length ≤ 11

SWIFT/BIC code of the bank

Responses

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json